summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author CCHsu2018-10-09 00:57:05 +0200
committer Willy Sudiarto Raharjo2018-10-09 00:57:05 +0200
commitfb4a2447acf9c7baeb941b9e92afd421e6b26e6f (patch)
tree8b1cbd92a567f8fc48208f1f611383ccab699ec1
parent5626e7e19a7c715d29d2fdab19d41ec6d2891830 (diff)
downloadslackbuilds-fb4a2447acf9c7baeb941b9e92afd421e6b26e6f.tar.gz
libraries/marisa: Added (C++ Library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/marisa/README3
-rw-r--r--libraries/marisa/marisa.SlackBuild100
-rw-r--r--libraries/marisa/marisa.info10
-rw-r--r--libraries/marisa/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/libraries/marisa/README b/libraries/marisa/README
new file mode 100644
index 0000000000..1400693707
--- /dev/null
+++ b/libraries/marisa/README
@@ -0,0 +1,3 @@
+libmarisa is a C++ library for an implementation of MARISA
+(Matching Algorithm with Recursively Implemented StorAge),
+which is a space-efficient trie data structure.
diff --git a/libraries/marisa/marisa.SlackBuild b/libraries/marisa/marisa.SlackBuild
new file mode 100644
index 0000000000..a3d0c398f9
--- /dev/null
+++ b/libraries/marisa/marisa.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for marisa
+
+# Copyright 2018 CCHsu Taiwan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=marisa
+VERSION=${VERSION:-0.2.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make check
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $TMP/$PRGNAM-$VERSION/docs $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/marisa/marisa.info b/libraries/marisa/marisa.info
new file mode 100644
index 0000000000..8ea8e8a24f
--- /dev/null
+++ b/libraries/marisa/marisa.info
@@ -0,0 +1,10 @@
+PRGNAM="marisa"
+VERSION="0.2.5"
+HOMEPAGE="https://s-yata.github.io/marisa-trie/docs/readme.en.html"
+DOWNLOAD="https://github.com/s-yata/marisa-trie/releases/download/v0.2.5/marisa-0.2.5.tar.gz"
+MD5SUM="34417c250c4f2eaeb604acbc490fb4ca"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="CCHsu"
+EMAIL="a12321aabb@gmail.com"
diff --git a/libraries/marisa/slack-desc b/libraries/marisa/slack-desc
new file mode 100644
index 0000000000..d33468b85a
--- /dev/null
+++ b/libraries/marisa/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+marisa: marisa (Matching Algorithm with Recursively Implemented StorAge)
+marisa:
+marisa: libmarisa is a C++ library for an implementation of MARISA (Matching
+marisa: Algorithm with Recursively Implemented StorAge), which is a static
+marisa: and space-efficient trie data structure library. Users can build
+marisa: dictionaries and search keys with this library.
+marisa:
+marisa:
+marisa: Homepage:
+marisa: https://s-yata.github.io/marisa-trie/docs/readme.en.html
+marisa: